package com.prolog.eis.service.out;


import com.prolog.eis.model.pick.PickingOrder;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 任务包表-服务接口类
 * @date 2023-08-30 12:24
 */
public interface PickingOrderService {

    /**
     * 新增数据
     *
     * @param pickingOrder 任务包表
     */
    long save(PickingOrder pickingOrder);

    /**
     * 新增批量数据
     *
     * @param pickingOrderList 任务包表
     */
    long saveBatch(List<PickingOrder> pickingOrderList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<PickingOrder> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    PickingOrder findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<PickingOrder> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PickingOrder findById(int id);

    /**
     * 修改数据
     *
     * @param pickingOrder 实例对象
     */
    long update(PickingOrder pickingOrder);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
